Chuyển đến nội dung
Diễn đàn CADViet
bachngoctung

[Yêu cầu] Lisp tạo viewport từ khung chọn bên model.

Các bài được khuyến nghị

Cảm ơn bạn nhiều tuy nhiên lisp của bạn bị lỗi không chạy được , bạn kiểm tra lại xem.

Lisp phát sinh lỗi trong trường hợp bạn xoá mất Layout1. Vì vậy bạn nên tạo lại Layout1 hoặc paste dòng này

(command "LAYOUT" "N" "Layout1")

vào trước dòng

(command "LAYOUT" "S" "Layout1") trong Lisp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

 

Lisp phát sinh lỗi trong trường hợp bạn xoá mất Layout1. Vì vậy bạn nên tạo lại Layout1 hoặc paste dòng này

(command "LAYOUT" "N" "Layout1")

vào trước dòng

(command "LAYOUT" "S" "Layout1") trong Lisp

Mình đã làm theo như bạn chỉ dẫn nhưng nó vẫn báo như vậy.

bạn KangKung đâu rồi . help me!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nhoc xí xọn tiếp sức trong lúc bạn KangKung đi vắng vậy, bảo đảm tải về chạy ok, bạn thích đặt tên layout là gì cũng đc ^^

;========LISP TAO VIEWPORT TREN LAYOUT BANG CACH CHON O MODEL========
;===============REV3=====================
(defun C:mtl()
 (command "UNDO" "BE")
 (setvar "OSMODE" 0)
 (setq taphop(ssget))
 (if (= Tyle nil)
(setq Tyle1 1)
(setq Tyle1 Tyle))
 (setq Tyle (getreal (strcat "\n Ty le: <" (rtos Tyle1 2 0) "> ")))
 (if (= Tyle nil)
(setq Tyle Tyle1))
 (setq soluong (sslength taphop))
 (setq index 0)
 (setq i 0)
 (setq ten (getstring "\n Nhap ten layout:"))
 (command "layout" "N" ten)
 (command "LAYOUT" "S" ten)
 (command "ERASE" "ALL" "")
 (command "MODEL")
 (setq X 0)
 (command "ZOOM" "E")
 (while (< index soluong)
(setq i(1+ i))
(setq khung(ssname taphop index))
(setq lst(acet-geom-vertex-list khung))
(command "COPYCLIP" khung "")
(command "LAYOUT" "S" ten)
(command "PASTECLIP" (list X 0))
(command "SCALE" (entlast) "" (list X 0) (/ 1 tyle))
(command "MVIEW" "O" (entlast))
(command "MSPACE")
(command "ZOOM" (nth 0 lst) (nth 2 lst))
(command "PSPACE")
(setq X(+ X 50 (/ (abs(- (car (nth 2 lst)) (car (nth 0 lst)))) tyle)))
(command "ZOOM" "W" (list 0 0) (list (+ X 100) 0))
(setq index (+ index 1))
)
 (command "MODEL")
 (command "UNDO" "END")
 (setvar "OSMODE" 15359)
 (princ)
 )

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nhoc xí xọn tiếp sức trong lúc bạn KangKung đi vắng vậy, bảo đảm tải về chạy ok, bạn thích đặt tên layout là gì cũng đc ^^

Sao mình chạy nó vẫn báo: ; error: bad argument type: numberp: #<SUBR @109cc4c4 TYLE>

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

sax lạ vậy bạn tải lại bản này xem ngắn gọn hơn xíu chắc ko lỗi ^^

;========LISP TAO VIEWPORT TREN LAYOUT BANG CACH CHON O MODEL========
;===============REV3=====================
(defun C:mtl(/ taphop soluong ten khung tyle oldos i lst X index)
 (command "UNDO" "BE")
 (setq oldos (getvar "osmode"))
 (setvar "OSMODE" 0)
 (setq taphop(ssget))
  (setq Tyle (getreal (strcat "\n Ty le 1/ <1000>: ")))
 (if (= Tyle nil) (setq Tyle 1000))
 (setq soluong (sslength taphop))
 (setq index 0)
 (setq i 0)
 (setq ten (getstring "\n Nhap ten layout:"))
 (command "layout" "N" ten)
 (command "LAYOUT" "S" ten)
 (command "ERASE" "ALL" "")
 (command "MODEL")
 (setq X 0)
 (command "ZOOM" "E")
 (while (< index soluong)
(setq i(1+ i))
(setq khung(ssname taphop index))
(setq lst(acet-geom-vertex-list khung))
(command "COPYCLIP" khung "")
(command "LAYOUT" "S" ten)
(command "PASTECLIP" (list X 0))
(command "SCALE" (entlast) "" (list X 0) (/ 1000 tyle))
(command "MVIEW" "O" (entlast))
(command "MSPACE")
(command "ZOOM" (nth 0 lst) (nth 2 lst))
(command "PSPACE")
(command "Mview" "L" "on" (entlast) "")
(setq X(+ X 50 (/ (abs(- (car (nth 2 lst)) (car (nth 0 lst)))) (/ tyle 1000))))
(command "ZOOM" "W" (list 0 0) (list (+ X 100) 0))
(setq index (+ index 1))
)
 (command "MODEL")
 (command "UNDO" "END")
 (setvar "OSMODE" oldos)
 (princ)
 )

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ah nhoc đoán chắc là do dòng này, bạn xài cad version nào nhỉ ^^

<pre class="cadvietlispcode">(setq Tyle (getreal (strcat "\n Ty le: <" (rtos Tyle1 2 0) "> ")))</pre>

dòng trên cái bạn chạy lỗi cấu trúc nó khác dòng dưới xíu nhoc viết lại nhưng trên máy nhoc cả 2 cái đều chạy đc cũng ko hỉu sao máy bạn lại lỗi :D

(setq Tyle (getreal (strcat "\n Ty le 1/ <" (rtos Tyle1 2 0) ">: ")))

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ah nhoc đoán chắc là do dòng này, bạn xài cad version nào nhỉ ^^

 

dòng trên cái bạn chạy lỗi cấu trúc nó khác dòng dưới xíu nhoc viết lại nhưng trên máy nhoc cả 2 cái đều chạy đc cũng ko hỉu sao máy bạn lại lỗi :D

Mình Xài Cad2007

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nhoc mới bổ sung thêm 1 tí #30 bạn tải lại hen, sau khi tạo viewprot xong sẽ khóa lun các view port đó lỡ bạn có kích double vào khung view zoom, pan cũng ko sao ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

sax lạ vậy bạn tải lại bản này xem ngắn gọn hơn xíu chắc ko lỗi ^^

;========LISP TAO VIEWPORT TREN LAYOUT BANG CACH CHON O MODEL========
;===============REV3=====================
(defun C:mtl(/ taphop soluong ten khung tyle oldos i lst X index)
 (command "UNDO" "BE")
 (setq oldos (getvar "osmode"))
 (setvar "OSMODE" 0)
 (setq taphop(ssget))
  (setq Tyle (getreal (strcat "\n Ty le 1/ <1000>: ")))
 (if (= Tyle nil) (setq Tyle 1000))
 (setq soluong (sslength taphop))
 (setq index 0)
 (setq i 0)
 (setq ten (getstring "\n Nhap ten layout:"))
 (command "layout" "N" ten)
 (command "LAYOUT" "S" ten)
 (command "ERASE" "ALL" "")
 (command "MODEL")
 (setq X 0)
 (command "ZOOM" "E")
 (while (< index soluong)
(setq i(1+ i))
(setq khung(ssname taphop index))
(setq lst(acet-geom-vertex-list khung))
(command "COPYCLIP" khung "")
(command "LAYOUT" "S" ten)
(command "PASTECLIP" (list X 0))
(command "SCALE" (entlast) "" (list X 0) (/ 1000 tyle))
(command "MVIEW" "O" (entlast))
(command "MSPACE")
(command "ZOOM" (nth 0 lst) (nth 2 lst))
(command "PSPACE")
(command "Mview" "L" "on" (entlast) "")
(setq X(+ X 50 (/ (abs(- (car (nth 2 lst)) (car (nth 0 lst)))) (/ tyle 1000))))
(command "ZOOM" "W" (list 0 0) (list (+ X 100) 0))
(setq index (+ index 1))
)
 (command "MODEL")
 (command "UNDO" "END")
 (setvar "OSMODE" oldos)
 (princ)
 )

Hay quá Bạn ơi. Bạn Thật siêu sao. Cảm ơn Bạn Rất rất nhiều. trên forum mình vãn còn một yêu cầu viết lisp ghi chú điểm. bạn xem giúp mình với.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cảm ơn bạn đã ủng hộ ^^. Thứ 1 nhoc ko dám nhận là siêu sao, cái lsp trên nhoc cũng chỉ dựa vào sườn của bạn KangKung chỉnh sữa xíu ^^,có thể do version 2007 khả năng nhận diện code ko tốt bằng cad đời sau nên lỗi thôi. Nếu từ đầu nhoc viết đc đã viết phụ bạn rùi ^^, bạn KangKung mới giỏi. thứ 2 yêu câu ghi chú điểm nhoc có xem qua, level nhoc chưa tới đó :D. Bạn ráng chờ các huynh khác có nhã hứng vậy :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Nhoc xí xọn tiếp sức trong lúc bạn KangKung đi vắng vậy, bảo đảm tải về chạy ok, bạn thích đặt tên layout là gì cũng đc ^^

;========LISP TAO VIEWPORT TREN LAYOUT BANG CACH CHON O MODEL========
;===============REV3=====================
(defun C:mtl()
 (command "UNDO" "BE")
 (setvar "OSMODE" 0)
 (setq taphop(ssget))
 (if (= Tyle nil)
(setq Tyle1 1)
(setq Tyle1 Tyle))
 (setq Tyle (getreal (strcat "\n Ty le: <" (rtos Tyle1 2 0) "> ")))
 (if (= Tyle nil)
(setq Tyle Tyle1))
 (setq soluong (sslength taphop))
 (setq index 0)
 (setq i 0)
 (setq ten (getstring "\n Nhap ten layout:"))
 (command "layout" "N" ten)
 (command "LAYOUT" "S" ten)
 (command "ERASE" "ALL" "")
 (command "MODEL")
 (setq X 0)
 (command "ZOOM" "E")
 (while (< index soluong)
(setq i(1+ i))
(setq khung(ssname taphop index))
(setq lst(acet-geom-vertex-list khung))
(command "COPYCLIP" khung "")
(command "LAYOUT" "S" ten)
(command "PASTECLIP" (list X 0))
(command "SCALE" (entlast) "" (list X 0) (/ 1 tyle))
(command "MVIEW" "O" (entlast))
(command "MSPACE")
(command "ZOOM" (nth 0 lst) (nth 2 lst))
(command "PSPACE")
(setq X(+ X 50 (/ (abs(- (car (nth 2 lst)) (car (nth 0 lst)))) tyle)))
(command "ZOOM" "W" (list 0 0) (list (+ X 100) 0))
(setq index (+ index 1))
)
 (command "MODEL")
 (command "UNDO" "END")
 (setvar "OSMODE" 15359)
 (princ)
 )

Cám ơn Bạn, Bài viết rất hay.

NHờ Bạn giúp cho khi khung nhìn không nằm ngang, khi ta chọn thì xuất qua Layout và xoay khung nhìn đó nằm lại ngang có được không bạn ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bạn tải lại lsp #30 hoàn chỉnh hơn còn vụ khung nhìn nằm ngang thì ko đc vì lsp này có rác dụng chọn khung bạn vẽ sẵn bên model xuất qua layout mà, việc chọn khung bên model có tác dụng bạn định sẵn khi xuất qua layout nó sẽ chọn đúng các đối tượg mà bạn định sẵn bên model , nếu sữa lại vd bạn vẽ khung chữ nhật đứng bên model mà xuất qua layout thi nằm ngang thì sẽ mất đi 1 phần đối tượng mà bạn mún thấy, vì thế mún nó nằm ngang thì bên model bạn vẽ cho nó nằm ngang đc rùi ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bạn tải lại lsp #30 hoàn chỉnh hơn còn vụ khung nhìn nằm ngang thì ko đc vì lsp này có rác dụng chọn khung bạn vẽ sẵn bên model xuất qua layout mà, việc chọn khung bên model có tác dụng bạn định sẵn khi xuất qua layout nó sẽ chọn đúng các đối tượg mà bạn định sẵn bên model , nếu sữa lại vd bạn vẽ khung chữ nhật đứng bên model mà xuất qua layout thi nằm ngang thì sẽ mất đi 1 phần đối tượng mà bạn mún thấy, vì thế mún nó nằm ngang thì bên model bạn vẽ cho nó nằm ngang đc rùi ^^

Lisp mlt đặt tỉ lệ in và nêm thêm thiết đặt khổ giấy đi bạn.

Cám ơn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

nhoc nghĩ lsp làm đc tới đây là nhiều rùi, ko nên đặt thêm nhiều nó rối ^^, để dành cho plot của cad có đất mà xài chứ :D, để lâu coi chừng hư ah. Nếu số lượng bản vẽ bạn nhiều có thể kím lsp in đồng loạt đó trên 4rum nhiều lém.

Chúc bạn vui

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ý này cũng hay nhưng nhoc phải ngiên cứu tip, nếu bạn KangKung quay lại có thể giúp bạn nhanh hơn^^.

Tuy nhiên theo quan điểm của nhoc nó ko cần thiết lắm như bài trên nhoc nói nó sẽ rối. Vd như file antay của bạn chia tuyến đó thành 4 tờ, nhoc nghĩ nếu bạn in tỷ lệ 1:1, mà thường khi xuất qua layout rùi thì đều in với tỉ lệ 1:1 thì cũng rất là lớn với máy in khổ bự cũng vượt khung A0, bản đồ sẽ in ra sẽ dài thòn^^, nhoc cũng từng in những loại hồ sơ vậy, nên nếu chọn trước khổ cũng chỉ tới A0 là cùng, ngoài vị trí bạn chọn nhìn bên model ko nhẽ qua layout bạn ko cần thêm khung tiêu đề cho mỗi bản sao, các khung của bạn cùng nằm trên 1 layout thì nhoc nghĩ rất khó định hết 1 lúc đc, bạn cứ dùng lệnh in cho từng bản rùi chỉnh cũng đc mà dễ theo dõi quản lý với lại mỗi tờ nhic đoán bạn cũng phải in ít nhất 5 bản vì thế cứ ngồi chơi đọc báo, kêu cafe làm điếu thuốc mà chờ :D, công đoạn vất vả nhất là xử ký bên model đã xong đến phần in thì ko có gì phải vội cả ^^

Ps: vài dòng kinh nghiệm ít ỏi của nhoc, nếu có gì ko hợp với nghiệp vụ của bạn mong bạn thứ lỗi ^^

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Lisp mlt đặt tỉ lệ in và nêm thêm thiết đặt khổ giấy đi bạn.

Cám ơn

Chào bạn tientracdia

Bạn xem lại #19 nhé. Lisp mtl_rev2 của mình đã bao gồm lựa chọn đặt tỉ lệ in và khổ giấy in rồi mà. Ví dụ bạn muốn in tỉ lệ 1/1000 thì khi Lisp hỏi tỉ lệ bạn chỉ cần nhập 1, còn tỉ lệ 1/2000 bạn nhập 2 ….

@Nhoclangbat

Hình như nhoclangbat hiểu nhầm về tỉ lệ trong Layout. Bản chất của Layout là dùng để in ấn, vì thế ta có thể coi Layout như là một bản vẽ giấy tuy nhiên có điểm hơi khác ở đây là Layout có thể Zoom to nhỏ được còn bản vẽ đã in ra giấy rồi thì không trừ khi bạn nhìn bản vẽ giấy qua kính hiển vi :D. Vì vậy nếu bạn in bản vẽ A4 (297x210) thì khổ giấy trên Layout cũng phải là A4 (297x210) cho dù bạn có in tỉ lệ nào đi nữa thì kích thước này vẫn không thay đổi. Tất nhiên bạn có thể phóng to khổ giấy trên Layout lên 2 lần khi tỉ lệ in là 1/2000 nhưng khi Plot bạn sẽ phải chọn tỉ lệ in là 1:2. Vậy là bạn đã phóng to kích thước khổ giấy lên 2 lần và khi in bạn lại thu nhỏ đi 2 lần thay vì bạn để nguyên khổ giấy. Mình đã thử Lisp của Nhoclangbat sửa lại với tỉ lệ 1/2000 thì khổ giấy bị tăng lên 2 lần. Điều này dễ gây hiểu nhầm về khổ giấy khi người dùng không chú ý đến tên khổ giấy mà chỉ đo kích thước phần trắng trong layout.

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hay quá Bạn ơi. Bạn Thật siêu sao. Cảm ơn Bạn Rất rất nhiều. trên forum mình vãn còn một yêu cầu viết lisp ghi chú điểm. bạn xem giúp mình với.

À, cái này thì hay, nếu bổ sung thiết đặt khổ giấy thì tuyệt vời hơn................. Thêm thiết đặt khổ giấy đi bạn. Cám ơn nhiều nhiều... lắm

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

À, cái này thì hay, nếu bổ sung thiết đặt khổ giấy thì tuyệt vời hơn................. Thêm thiết đặt khổ giấy đi bạn. Cám ơn nhiều nhiều... lắm

 

Mình vẫn chưa hiểu ý bạn. Thiết đặt khổ giấy như thế nào? Bạn nói rõ hơn được không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

Mình vẫn chưa hiểu ý bạn. Thiết đặt khổ giấy như thế nào? Bạn nói rõ hơn được không?

Mình muốn là sao khi chon khung bên moden, lisp đặt tên layout, đặt tỉ lệ in, và đặt khổ giấy cần in. Lúc đó lisp chuyển nội dung đã chọn trên moden vào trong khung nhìn của khổ giấy mình đặt. mong bạn giúp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ko bit bạn KangKung tải lsp nào nhoc sữa nhỉ, lsp #30 mới đúng. Có lẽ nhoc trình bày ko rõ ràng làm bạn hỉu nhầm :D

Việc nhoc sữa lại việc định tỉ lệ khung viewport mặc định là 1000, vì nhoc áp dụng theo tỉ lệ bản đồ, chỗ nhoc quy ước 1unit = 1mm trên cad bên model = 1m ngoài thực địa. Lấy Vd file bạn anhbkhcm đưa lên là 1 tuyến đường mục đích làm gì nhoc ko pit nhưng nó là dạng bản đồ thì có thể cách quy ước giống nhoc. Vì thế khi xác định khung bên model những phần cần xuất trở thành khung nhìn đúng những phần đó bên layout, thì việc đó còn phụ thuộc bạn ấy mún biên tập bản đồ đó với tỉ lệ bao nhiêu đã, nếu bạn ấy mún biên tập vùng đc chọn 1/500 thì tức là khi xuất qua layout thì khung nhìn viewport vùng đó phải zoom lên 2 lần nói cách khác scale lên 2 lần thì đường nhiên kích khung bạn ấy chọn bên model wa lauout kích thước khung đó to lên 2 lần mới đảm bảo nhìn hết đc vùng bạn ấy cần đúng ko ^^. Và thường khi đã dùng layout thì người ta đều sẽ in với tỉ lệ 1:1 trong phần set đặt lúc in. Vi thế việc đặt trước khỗ giấy có thể hơi rối, theo ví dụ trên biên tập 1/500, đối với máy in khỗ lớn chiều rộng giấy tối đa chỉ đc 860mm còn chiều dài thì vô tư tùy cuộn giấy cỡ dài nào, ví dụ biên tập 1/500 đúng khung bạn ấy vẽ, chiều rộng khung viewport nhỏ hơn 860 ok, còn nếu phần thể hiện dài hơn 1189 thì vược qua khổ A0 rùi, vì thế phải custom riêng. Vì thề mún nó nằm trong khổ phải xem lại nên biên tập tỉ lệ bao nhiêu là vừa hay cách khác là chia nhỏ vùng đó ra thêm nếu vẫn mún biên tập 1/500. >>>> trong lsp cho chọn khổ A3, mà tỉ lệ viewport lớn, in tỉ lệ 1:1 khi in sẽ vượt khổ rùi vì vùng chọn lớn hơn A3 mà >>> chọn khổ khác, còn nếu mún vừa thì lại phải định lại tỉ lệ lúc in ko còn là 1:1 nữa >>>in ra sẽ ko còn đúng tỉ lệ mún thể hiện trên giấy

Ps: bạn KangKung chuyên ngành gì nhỉ ^^, có lẽ cách hỉu của nhoc khác của bạn nên vậy :D, nếu nhoc hỉu sai thì mấy bản vẽ nhoc làm từ đó giờ phát hành cho khách tong hết rùi ^^

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình muốn là sao khi chon khung bên moden, lisp đặt tên layout, đặt tỉ lệ in, và đặt khổ giấy cần in. Lúc đó lisp chuyển nội dung đã chọn trên moden vào trong khung nhìn của khổ giấy mình đặt. mong bạn giúp

trong lsp đã có phần đặt tên cho layout nha bạn, đặt tỉ lệ in hay tỉ lệ khung view ?? nếu đặt tỉ lệ in là có thêm yêu cầu hỏi chọn tỉ lệ in là bao nhiu ah, đặt khổ giấy thì trong 1 số lsp trong topic này đã có bạn ah, chỉ cần copy thêm vào :D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ah bạn KangKung cho nhoc hỏi tí, tác dụng của lsp thì ko có gì phải bàn :D, nhưng nhoc thắc mắc nếu đã sử dụng layout tức là các viewport có tác dụng hiển thị đúng các phần chi tiết, v...v bên model cái nào ra cái đó theo tỉ lệ mong mún cho từng khung >>>> vậy khung bản vẽ mình nên vẽ bên layout phải ko, khung bản bản vẽ sẽ bao các khung viewport đã tạo, nếu như lsp thì chỉ in đúng khung view tạo ra thì nhìn nó trơ trụi wá ^^ phải ko ta, mà nếu đã vẽ khung tên bên model rùi thì in lun bên model cần gì xuất qua layout nhỉ :D, nếu đã vẽ khung bên layout mà mún lsp chọn đúg khung tên ấy để set plot area nhoc chưa nghĩ ra lsp có thể làm đc không cái này nhờ bạn KangKung nghiên cứu ^^. >>>> các yêu cầu thêm khổ giấy và set vùng in hay tỉ lệ in nhoc thấy ko cần lắm ^^.

Ps: trong trường hợp này nhoc thấy nên sử dụng lsp theo đúng yêu cầu chủ đề các bạn tạo "lsp tạo viewport từ khung chọn bên model" , các cải tiến như tùy số lượng khung xuất mỗi khung là các layout khác nhau hay chung 1 layout và chọn tỉ lệ zoom của khung view là đủ xài (khóa lun khung view sau khi tạo xong) ^^. Nếu những nhoc nói có làm phật lòng mấy bạn cũng đừng giận nhoc lâu hen, dislike là đc rùi :D

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Ah bạn KangKung cho nhoc hỏi tí, tác dụng của lsp thì ko có gì phải bàn :D, nhưng nhoc thắc mắc nếu đã sử dụng layout tức là các viewport có tác dụng hiển thị đúng các phần chi tiết, v...v bên model cái nào ra cái đó theo tỉ lệ mong mún cho từng khung >>>> vậy khung bản vẽ mình nên vẽ bên layout phải ko, khung bản bản vẽ sẽ bao các khung viewport đã tạo, nếu như lsp thì chỉ in đúng khung view tạo ra thì nhìn nó trơ trụi wá ^^ phải ko ta, mà nếu đã vẽ khung tên bên model rùi thì in lun bên model cần gì xuất qua layout nhỉ :D, nếu đã vẽ khung bên layout mà mún lsp chọn đúg khung tên ấy để set plot area nhoc chưa nghĩ ra lsp có thể làm đc không cái này nhờ bạn KangKung nghiên cứu ^^. >>>> các yêu cầu thêm khổ giấy và set vùng in hay tỉ lệ in nhoc thấy ko cần lắm ^^.

Ps: trong trường hợp này nhoc thấy nên sử dụng lsp theo đúng yêu cầu chủ đề các bạn tạo "lsp tạo viewport từ khung chọn bên model" , các cải tiến như tùy số lượng khung xuất mỗi khung là các layout khác nhau hay chung 1 layout và chọn tỉ lệ zoom của khung view là đủ xài (khóa lun khung view sau khi tạo xong) ^^. Nếu những nhoc nói có làm phật lòng mấy bạn cũng đừng giận nhoc lâu hen, dislike là đc rùi :D

Hi Nhoclangbat

Câu hỏi của Nhoc rất hay. Thông thường đối với khu vực in nhỏ gói gọn trong 1 khung bản vẽ thì việc in ấn bên Model hay Layout không khác nhau lắm. Lúc đó chỉ việc nhúng khung tên vào Model hoặc Layout rồi in thôi. Còn đối với những khu vực in lớn (bình đồ tuyến chẳng hạn…) thì không thể nhúng khung tên vào bên Model được vì phần ghi chú của khung tên(tên bản vẽ, kí hiệu…) sẽ đè lên một phần nội dung in (của bản in khác), vì thế in ấn trong Layout là cách tốt nhất để giải quyết việc này.

Vì yêu cầu của chủ Topic là "lsp tạo viewport từ khung chọn bên model" và không nói đến việc đặt khung tên cho các Layout tạo ra nên mình không đưa vào. Còn nếu muốn đưa khung tên thì sẽ cho Lisp thêm 1 option nữa là chọn khung tên hoặc chọn file có chứa khung tên trong đó rồi sau đó nhúng vào tất cả các Layout là xong. Việc đặt plot area sẽ không đặt theo viewport nữa mà đặt theo kích thước của khung tên. Điều này Lisp có thể làm được.

PS: Mình làm về trắc địa Nhoclangbat ah. Cách sử dụng Layout của Nhoc và mình có thể khác nhau nhưng với cùng một bản vẽ và cùng tỉ lệ in thì kết quả in ra giấy giống nhau là được.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×